/*
 * @Author: xiachao 958053195@qq.com
 * @Date: 2023-09-05 10:00:34
 * @LastEditors: xiachao 958053195@qq.com
 * @LastEditTime: 2023-09-11 13:38:12
 * @FilePath: \ruoyi-ui\src\api\procure\index.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import newRequest from '@/utils/newRequest';

// 查询品牌列表
export function getBrandNameList() {
  return newRequest({
    url: '/brand/list',
    method: 'get'
  })
}

// 查询列表
export function getList(params) {
  return newRequest({
    url: '/procure/goods/list',
    method: 'get',
    params,
  })
}

// 查询价格趋势
export function getGoodsDetail(params) {
  return newRequest({
    url: '/procure/goods/detail',
    method: 'get',
    params,
  })
}

// 查询价格趋势
export function bindSku(data) {
  return newRequest({
    url: '/procure/bind/sku',
    method: 'post',
    data,
  })
}

// 查询价格趋势
export function skuList(params) {
  return newRequest({
    url: '/sku/list',
    method: 'get',
    params,
  })
}

// 查询价格趋势
export function getPrice() {
  return newRequest({
    url: '/procure/new/price',
    method: 'get'
  })
}

